<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwTrending</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
  <meta content="Oliver Holme" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr>
      <td
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Component Name</span><br>
      </td>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; text-align: center;"><span
 style="font-weight: bold;">fwTrending</span><br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Description<br>
      </strong></td>
      <td colspan="1" width="78%">
      <p>The Trending Tool provides a way of configuring predefined plots and
        pages which can be viewed at any time to give trending of the data in
        your system. Many features are supported which are not provided by the
        default PVSS widget or the PVSS VarTrend tool.</p>
      <p>A Trending Page is a collection of Trending Plots. It is possible to
        add up to 6 plots on a page (2 columns and 3 rows).<br>
      </p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Dependencies<br>
      </strong></td>
      <td colspan="1">fwCore<br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Additional software required<br>
      </strong></td>
      <td colspan="1">None<br>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Panels</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Add
        items to the Trending Tree with this panel<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingAddToTree.htm">fwTrendingAddToTree.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Choose
        from a list of all plots in your system (with filters to find you plot
        quickly)</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingChoose.htm">fwTrendingChoose.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;"><br>
        <p>Choose the CSV file to which the plot data should
          be exported<br>
      </p>        </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingExportFileSelector.htm">fwTrendingExportFileSelector.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">This
      panel is used to create or modify trending plots of  &quot;Histogram&quot; type</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingHistogramConfig.htm">fwTrendingHistogramConfig.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Used
        to build, maintain and browse a tree structure of plots and pages<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingMain.htm">fwTrendingMain.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Manage
        all theplots and pages in your local system as well as any
        other remote systems which are connected.</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingManageChildren.htm">fwTrendingManageChildren.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">The
        panel used to display a trending page<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingPage.htm">fwTrendingPage.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">The
        panel used to display a trending plot</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingPlot.htm">fwTrendingPlot.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">This
        panel is used to create or modify trending plots of  &quot;Value over time&quot; type<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingPlotConfPanel.htm">fwTrendingPlotConfPanel.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">This
      panel is used to create or modify trending pages</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingPlotsPage.htm">fwTrendingPlotsPage.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Select
        a data point to save the plot or page configuration to<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingSaveAsSelector.htm">fwTrendingSaveAsSelector.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Set
        the template parameters required for the display of a page or plot</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingSetTemplateParameters.htm">fwTrendingSetTemplateParameters.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Select
        a time to jump to in the history of a plot display<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingTimeJumpSpec.htm">fwTrendingTimeJumpSpec.pnl</a></td>
    </tr>
    <tr valign="top">
      <td
 bgcolor="#00cc00" style="background-color: rgb(255, 255, 255); width: 50%;">Select
      a length of time to be used as the time range for a plot display</td>
      <td style="width: 50%;" colspan="1"><a href="panels/fwTrending/fwTrendingTimeSpec.htm">fwTrendingTimeSpec.pnl</a></td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Libraries</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Global help with all functions
in the component library<br>
      </td>
      <td style="vertical-align: top;"><a href="scripts/libs/globals.html">All functions in
fwTrending</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Functions related to the management and display of plot and
        pages configurations<br>
      </td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwTrending_8ctl.html">fwTrending.ctl</a></td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Functions specifically related to the working of the Trending
        Tree</td>
      <td style="width: 50%;" colspan="1"><a href="scripts/libs/fwTrendingTree_8ctl.html">fwTrendingTree.ctl</a></td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
